Bug 220844 - kidc and kid (server) does not working without python-setuptools
kidc and kid (server) does not working without python-setuptools
Product: Fedora
Classification: Fedora
Component: python-kid (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-12-27 16:13 EST by Jan ONDREJ
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-02 14:59:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2006-12-27 16:13:30 EST
Description of problem:
If you don't have python-setuptools installed, kidc and kid server are not working.

Version-Release number of selected component (if applicable):
0.9.4 and also 0.9.3

How reproducible:

Steps to Reproduce:
1. kidc
Actual results:
Traceback (most recent call last):
  File "/usr/bin/kid", line 5, in ?
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources

Expected results:
kidc: No kid template specified.
      Try 'kidc --help' for usage information.

Additional info:
You can add python-setuptools to requirements to fix this bug.
Comment 1 Konstantin Ryabitsev 2007-01-02 14:59:07 EST
I think I have worked around this in the upcoming release.

Note You need to log in before you can comment on or make changes to this bug.